
package org.apache.servicemix.wsn.jaxws;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.HashMap;
import java.util.Map;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;

@WebServiceClient(targetNamespace = "http://servicemix.apache.org/wsn/jaxws", name = "CreatePullPointService", wsdlLocation = "file:/home/ffang/projects/servicemixrelease/servicemix-3.2-release/servicemix-3.2/deployables/serviceengines/servicemix-wsn2005/src/main/resources/org/apache/servicemix/wsn/wsn.wsdl")
public class CreatePullPointServiceService
    extends Service
{

    private static Map ports = new HashMap();
    public static Class CreatePullPoint = org.apache.servicemix.wsn.jaxws.CreatePullPoint.class;

    static {
        ports.put(new QName("http://servicemix.apache.org/wsn/jaxws", "JBI"), CreatePullPoint);
        ports.put(new QName("http://servicemix.apache.org/wsn/jaxws", "CreatePullPointServiceLocalPort"), CreatePullPoint);
    }

    public CreatePullPointServiceService()
        throws MalformedURLException
    {
        super(new URL("file:/home/ffang/projects/servicemixrelease/servicemix-3.2-release/servicemix-3.2/deployables/serviceengines/servicemix-wsn2005/src/main/resources/org/apache/servicemix/wsn/wsn.wsdl"), new QName("http://servicemix.apache.org/wsn/jaxws", "CreatePullPointService"));
    }

    public static Map getPortClassMap() {
        return ports;
    }

    @WebEndpoint(name = "JBI")
    public org.apache.servicemix.wsn.jaxws.CreatePullPoint getJBI() {
        return ((org.apache.servicemix.wsn.jaxws.CreatePullPoint)(this).getPort(new QName("http://servicemix.apache.org/wsn/jaxws", "JBI"), CreatePullPoint));
    }

    @WebEndpoint(name = "CreatePullPointServiceLocalPort")
    public org.apache.servicemix.wsn.jaxws.CreatePullPoint getCreatePullPointServiceLocalPort() {
        return ((org.apache.servicemix.wsn.jaxws.CreatePullPoint)(this).getPort(new QName("http://servicemix.apache.org/wsn/jaxws", "CreatePullPointServiceLocalPort"), CreatePullPoint));
    }

}
